Bug 1287150 - [RFE] Option/ check-box to assign VLAN to hypervisor in Admin portal.
[RFE] Option/ check-box to assign VLAN to hypervisor in Admin portal.
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs (Show other bugs)
3.5.5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Scott Herold
Gil Klein
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-01 10:49 EST by Ulhas Surse
Modified: 2016-02-25 08:27 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-25 08:27:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ulhas Surse 2015-12-01 10:49:09 EST
ISSUE:
------ 

when you create a new VLAN in RHEV-M you need to assign it manually to each and every hypervisor in the cluster which is quite time-consuming. (especially when you have 10+ hypervisors  in one cluster like we have currently)

Would like to have a function that assigns a newly created VLAN to all hypervisors in that cluster or at-least that i could "check box" which hypervisors it should be assigned to.

    3. What is the nature and description of the request?  
       New feature to assign newly created VLAN (tagged traffic) "automatically" or semi-automatically to all hypervisors you choose to have it.

    4. Why does the customer need this? (List the business requirements here)  
       Takes time to do this manual task primarily, and is a cause for error if any VLAN is not assigned to all hypervisors in a cluster.

    5. How would the customer like to achieve this? (List the functional requirements here)  
       When creating a VLAN/Tagged interface in RHEV-M you should be able to somewhere assign that to all hypervisors/selected hypervisors in the cluster/datacenter.

    6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.  
       NO

    7. Is there already an existing RFE upstream or in Red Hat Bugzilla?  
       NO

    8. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?  
       NO

    9. Is the sales team involved in this request and do they have any additional input?  
       NO

    10. List any affected packages or components.  
        rhevm-adminportal

    11. Would the customer be able to assist in testing this functionality if implemented?  
        Limited, when reaching "beta".
Comment 2 Dan Kenigsberg 2016-01-31 09:45:28 EST
I think that network labels can come to your service. You can set a label on a nic of each of your hosts. Then, when you set the same label on a newly-defined network, the network would be automatically configured on all of the hosts that carry that the label.

http://www.ovirt.org/Features/NetworkLabels

would that satisfy your RFE?

Note You need to log in before you can comment on or make changes to this bug.